cURL
curl --request GET \
--url https://api.teamcamp.app/v1.0/task/{taskId} \
--header 'apiKey: <api-key>'import requests
url = "https://api.teamcamp.app/v1.0/task/{taskId}"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://api.teamcamp.app/v1.0/task/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": "<string>",
"taskName": "<string>",
"projectId": "<string>",
"groupId": "<string>",
"group": "<string>",
"description": "<string>",
"status": true,
"subscribers": [
"<string>"
],
"dueDate": "<string>",
"priority": "<string>",
"estimateTime": 123,
"milestoneId": 123,
"taskUsers": [
{
"taskUserId": "<string>"
}
]
}{
"error": "<string>"
}Task
Get Task
Get task details by ID.
GET
/
task
/
{taskId}
cURL
Authorizations
Path Parameters
The unique identifier of the task to get task details.
Minimum string length:
10Response
Task response
The ID of the task
The Name of the task
The ID of the project.
The ID of the group.
The Group of the task.
Description of the task.
The Status of the task.
List of Subscribers who Subscribe the task.
The due date of the project.
Select priority of the task.
Estimated time required for the task (hh).
The ID of the task milestone.
List of task users.
Show child attributes
Show child attributes

